package codemaptournament;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URL;
import java.net.URLEncoder;
import java.util.Scanner;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.apache.commons.lang3.StringEscapeUtils;

/**
 * network-themed utilites
 * @author Paul
 */
public class NetUtil {
    public static long READ_DELAY_MS = 100;

    /** unescape all HTML entities back into their original text */
    public static String unescape(String text) {
        return StringEscapeUtils
                .unescapeHtml4(text)         // ampersand codes etd
                .replaceAll("\u00A0", " ");  // HACK assume all non-breaking spaces are spurious, turn into space
                                             // I was getting &nbsp;'s and \xA0's just from "helpful" web browser
                                             // since extra spaces in HTML are discarded, it marked a second space.
    }

    /**
     * Encode a URL parameter thingy.
     * hello there, world goes to hello+there%2C+world
     * THIS IS UNTESTED WITH THE SCORE SCRIPT!! (I presume I'd need it, maybe)
     * @param text
     * @return
     */
    public static String escapeURL(String text) {
        try {
            return URLEncoder.encode(text, "UTF-8");
        } catch (UnsupportedEncodingException ex) {
            throw new RuntimeException(ex);
        }
    }

    public static String readCompletely(URL url) throws IOException {
        try {
            Thread.sleep(READ_DELAY_MS); // pause to not swap server
        } catch (InterruptedException ex) {}
        Scanner sc = new Scanner(url.openStream());
        sc.useDelimiter("\\Z"); // end of string
        return sc.next();
    }
}
