package codemaptournament;

/**
 * store the details for one record received in the high score list
 * @author Paul
 */
public class Record {
    public static final String RANK = "rank", USER = "user", SCORE = "score", TIME = "time", PLAYS = "plays";
    public static final int NUM_COLS = 5;
    Integer rank, score, plays;
    Frames time;
    String user;

    public Record(Integer rank, String user, Integer score, Integer time, Integer plays) {
        this.rank = rank;
        this.user = user;
        this.score = score;
        this.time = new Frames(time);
        this.plays = plays;
    }

    public Record() {
        this(0, "", 0, 0, 0);
    }

    // the separator is changeable in case you want tab-separated data or something not comma-separated
    public static String SEP = ",";
    public static String getCSVHeader() {return "Rank"+SEP+"User"+SEP+"Score"+SEP+"Time"+SEP+"Plays";}
    public static String getCSVNull() {return ""+SEP+""+SEP+""+SEP+""+SEP+"";}
    public String toCSV() {
        return rank + SEP + user + SEP + score + SEP + time + SEP + plays;
    }
}

