package codemaptournament;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Paul
 */
public class ClipboardUtilTest {

    public ClipboardUtilTest() {
    }


    /**
     * Test of extractTableFromHTMLString method, of class ClipboardUtil.
     */
    @Test
    public void testExtractTableFromHTMLString() {
        System.out.println("extractTableFromHTMLString");
        String contents =
"<html>" +
"<body>" +
"<!--StartFragment-->" +
"<span class=\"Apple-style-span\" style=\"color: rgb(0, 0, 0); font-family: verdana, sans-serif; font-style: normal; font-variant: normal; font-weight: normal; letter-spacing: normal; line-height: 16px; orphans: 2; text-align: -webkit-auto; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-decorations-in-effect: none; -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; background-color: rgb(236, 237, 243); font-size: small; \"><table style=\"empty-cells: show; font: inherit; color: inherit; \"><tbody><tr style=\"color: rgb(0, 0, 0); font-size: small; font-family: verdana, sans-serif; \"><td valign=\"top\" style=\"color: inherit; font-size: small; font-family: verdana, sans-serif; font: inherit; \">A</td><td valign=\"top\" style=\"color: inherit; font-size: small; font-family: verdana, sans-serif; font: inherit; \"><div style=\"text-align: right; \">B</div></td><td valign=\"top\" style=\"color: inherit; font-size: small; font-family: verdana, sans-serif; font: inherit; \">C</td></tr><tr style=\"color: rgb(0, 0, 0); font-size: small; font-family: verdana, sans-serif; \"><td valign=\"top\" style=\"color: inherit; font-size: small; font-family: verdana, sans-serif; font: inherit; \"><div style=\"text-align: left; \">D</div></td><td valign=\"top\" style=\"color: inherit; font-size: small; font-family: verdana, sans-serif; font: inherit; \">E</td><td valign=\"top\" style=\"color: inherit; font-size: small; font-family: verdana, sans-serif; font: inherit; \"><div align=\"center\">F</div></td></tr></tbody></table></span><br class=\"Apple-interchange-newline\">"+
"<!--EndFragment-->" +
"</body>" +
"</html>";
        String[][] expResult = new String[][] {
            {"A", "B", "C"},
            {"D", "E", "F"}
        };
        String[][] result = ClipboardUtil.extractTableFromHTMLString(contents);
        assertArrayEquals(expResult, result);
    }

    /**
     * Test of extractTableFromPlainString method, of class ClipboardUtil.
     */
    @Test
    public void testExtractTableFromPlainString() {
        System.out.println("extractTableFromPlainString");
        String contents = "A\tB\tC\nD\tE\tF";
        String[][] expResult = new String[][] {
            {"A", "B", "C"},
            {"D", "E", "F"}
        };
        String[][] result = ClipboardUtil.extractTableFromPlainString(contents);
        assertArrayEquals(expResult, result);
    }

}